Page MenuHomePhabricator

Special:Search search bar autocompletes inappropriately.
Closed, ResolvedPublic

Description

On the Special:Search page (for example, for English Wikipedia), if you type your search and hit enter/return, you end up searching for the first suggested title, not for what you typed in. Clicking on "Search" searches for your query.

For example, in the screen shot below, typing abcdef + <return> actually searches for ABCDEFG (album).

I've discovered that if I move my mouse down into the suggestion list, and then out of the list, then hit <return>, I get the correct behavior.

It seems that the problem is that the first suggestion is automatically selected while typing. Moving the mouse in and out of the drop down list de-selects it. It seems that it should not be selected (at least for Special:Search) without a mouse move or down arrow or something.

I've replicated the problem for English and German Wikipedias on Chrome, Safari, and Firefox on Mac OS.

A brief discussion with other Discovery folks has lead to the conclusion that this is an OOjs problem, so I added that tag. Please change it if that's wrong!

Event Timeline

TJones created this task.Jul 19 2017, 9:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 19 2017, 9:37 PM

Change 366468 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/core@master] Revert "Make mw.widgets.SearchInputWidget extend OO.ui.SearchInputWidget"

https://gerrit.wikimedia.org/r/366468

@matmarex Letting you know i reverted this for now and am cherry picking to the deployed branches. Feel free to fix and put back up for merge.

Change 366468 merged by Tjones:
[mediawiki/core@master] Revert "Make mw.widgets.SearchInputWidget extend OO.ui.SearchInputWidget"

https://gerrit.wikimedia.org/r/366468

Change 366474 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/core@wmf/1.30.0-wmf.9] Revert "Make mw.widgets.SearchInputWidget extend OO.ui.SearchInputWidget"

https://gerrit.wikimedia.org/r/366474

Change 366475 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/core@wmf/1.30.0-wmf.10] Revert "Make mw.widgets.SearchInputWidget extend OO.ui.SearchInputWidget"

https://gerrit.wikimedia.org/r/366475

Change 366475 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.10] Revert "Make mw.widgets.SearchInputWidget extend OO.ui.SearchInputWidget"

https://gerrit.wikimedia.org/r/366475

Change 366474 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.9] Revert "Make mw.widgets.SearchInputWidget extend OO.ui.SearchInputWidget"

https://gerrit.wikimedia.org/r/366474

matmarex edited projects, added OOUI; removed OOjs.Jan 25 2018, 11:48 PM
matmarex closed this task as Resolved.Jan 26 2018, 12:15 AM
matmarex assigned this task to EBernhardson.
matmarex edited projects, added MediaWiki-General; removed OOUI, Patch-For-Review.